org.codehaus.groovy.runtime

## Class EncodingGroovyMethods

- java.lang.Object
- - org.codehaus.groovy.runtime.EncodingGroovyMethods

    public class EncodingGroovyMethods
    extends java.lang.Object

This class defines all the encoding/decoding groovy methods which enhance the normal JDK classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

### Constructor Summary

Constructors
Constructor and Description
`EncodingGroovyMethods()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `decodeBase64(java.lang.String value)` Decode the String from Base64 into a byte array.
`static byte[]` `decodeHex(java.lang.String value)` Decodes a hex string to a byte array.
`static Writable` `encodeBase64(byte[] data)` Produce a Writable object which writes the Base64 encoding of the byte array.
`static Writable` `encodeBase64(java.lang.Byte[] data)` Produce a Writable object which writes the Base64 encoding of the byte array.
`static Writable` `encodeBase64(byte[] data, boolean chunked)` Produce a Writable object which writes the Base64 encoding of the byte array.
`static Writable` `encodeBase64(java.lang.Byte[] data, boolean chunked)` Produce a Writable object which writes the Base64 encoding of the byte array.
`static Writable` `encodeHex(byte[] data)` Produces a Writable that writes the hex encoding of the byte[].
`static Writable` `encodeHex(java.lang.Byte[] data)` Produces a Writable that writes the hex encoding of the Byte[].

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncodingGroovyMethods

    public EncodingGroovyMethods()

### Method Detail

#### encodeBase64

    public static Writable encodeBase64(java.lang.Byte[] data,
                                        boolean chunked)

Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

Parameters:
  `data` - Byte array to be encoded
  `chunked` - whether or not the Base64 encoded data should be MIME chunked
Returns:
  object which will write the Base64 encoding of the byte array
Since:
  1.5.1

#### encodeBase64

    public static Writable encodeBase64(java.lang.Byte[] data)

Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

Parameters:
  `data` - Byte array to be encoded
Returns:
  object which will write the Base64 encoding of the byte array
Since:
  1.0

#### encodeBase64

    public static Writable encodeBase64(byte[] data,
                                        boolean chunked)

Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

Parameters:
  `data` - byte array to be encoded
  `chunked` - whether or not the Base64 encoded data should be MIME chunked
Returns:
  object which will write the Base64 encoding of the byte array
Since:
  1.5.7

#### encodeBase64

    public static Writable encodeBase64(byte[] data)

Produce a Writable object which writes the Base64 encoding of the byte array. Calling toString() on the result returns the encoding as a String. For more information on Base64 encoding and chunking see `RFC 4648`.

Parameters:
  `data` - byte array to be encoded
Returns:
  object which will write the Base64 encoding of the byte array
Since:
  1.0

#### decodeBase64

    public static byte[] decodeBase64(java.lang.String value)

Decode the String from Base64 into a byte array.

Parameters:
  `value` - the string to be decoded
Returns:
  the decoded bytes as an array
Since:
  1.0

#### encodeHex

    public static Writable encodeHex(java.lang.Byte[] data)

Produces a Writable that writes the hex encoding of the Byte[]. Calling toString() on this Writable returns the hex encoding as a String. The hex encoding includes two characters for each byte and all letters are lower case.

Parameters:
  `data` - byte array to be encoded
Returns:
  object which will write the hex encoding of the byte array
See Also:
  `Integer.toHexString(int)`

#### encodeHex

    public static Writable encodeHex(byte[] data)

Produces a Writable that writes the hex encoding of the byte[]. Calling toString() on this Writable returns the hex encoding as a String. The hex encoding includes two characters for each byte and all letters are lower case.

Parameters:
  `data` - byte array to be encoded
Returns:
  object which will write the hex encoding of the byte array
See Also:
  `Integer.toHexString(int)`

#### decodeHex

    public static byte[] decodeHex(java.lang.String value)

Decodes a hex string to a byte array. The hex string can contain either upper case or lower case letters.

Parameters:
  `value` - string to be decoded
Returns:
  decoded byte array
Throws:
  `java.lang.NumberFormatException` - If the string contains an odd number of characters or if the characters are not valid hexadecimal values.